# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/runner/work/q2-fondue/q2-fondue/ci/recipe, last modified Thu Sep  8 13:36:49 2022
# ------------------------------------------------

package:
  name: q2-fondue
  version: 2022.11.0.dev0+3.g4e44716
source:
  path: /home/runner/work/q2-fondue/q2-fondue
build:
  script: 'make VERBOSE=1

    make install

    '
  string: py38_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.6.15 ha878542_0
    - gcc_impl_linux-64 12.1.0 hea43390_16
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.1.0 h1ec3361_16
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libnsl 2.0.0 h7f98852_0
    - libsanitizer 12.1.0 ha89aaad_16
    - libsqlite 3.39.3 h753d276_0
    - libstdcxx-ng 12.1.0 ha89aaad_16
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.12 h166bdaf_2
    - maturin 0.10.3 py39h3811e60_0
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.5 h166bdaf_2
    - pip 22.2.2 pyhd8ed1ab_0
    - python 3.9.13 h2660328_0_cpython
    - python_abi 3.9 2_cp39
    - readline 8.1.2 h0f457ee_0
    - rust 1.58.1 h61edd41_0
    - rust-std-x86_64-unknown-linux-gnu 1.58.1 hc1431ca_0
    - setuptools 65.3.0 pyhd8ed1ab_1
    - sqlite 3.39.3 h4ff8645_0
    - sysroot_linux-64 2.12 he073ed8_15
    - tk 8.6.12 h27826a3_0
    - tzdata 2022c h191b570_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.6.15 ha878542_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.39.3 h753d276_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.12 h166bdaf_2
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.5 h166bdaf_2
    - pip 22.2.2 pyhd8ed1ab_0
    - python 3.8.13 ha86cf86_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.3.0 pyhd8ed1ab_1
    - sqlite 3.39.3 h4ff8645_0
    - tk 8.6.12 h27826a3_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - entrezpy >=2.1.2
    - python >=3.8,<3.9.0a0
    - python-dotenv
    - python_abi 3.8.* *_cp38
    - pyzotero
    - q2-types 2022.11.*
    - qiime2 2022.11.*
    - tqdm >=4.62.3
    - xmltodict
test:
  commands:
    - pytest --cov q2_fondue --pyargs q2_fondue
    - coverage xml -o /home/runner/work/q2-fondue/q2-fondue/coverage.xml
  imports:
    - fastq_writer
    - q2_fondue
    - qiime2.plugins.fondue
  requires:
    - coverage
    - parameterized
    - pytest-cov
about:
  home: https://github.com/bokulich-lab/q2-fondue
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
